ONOS-3356 Fixed NPE when processing configuration of a non-existent device.

Change-Id: I00369a67c406634b2ee7d379cad6e0fc41842388
diff --git a/tools/test/bin/onos-netcfg b/tools/test/bin/onos-netcfg
new file mode 100755
index 0000000..23900ec
--- /dev/null
+++ b/tools/test/bin/onos-netcfg
@@ -0,0 +1,15 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# ONOS network configuration uploader.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+node="${1:-$OCI}"
+file="${2:-$ONOS_ROOT/tools/test/topos/oe-linear-3.json}"
+url="${3}"
+
+curl -sS --fail -L --user $ONOS_WEB_USER:$ONOS_WEB_PASS \
+    -X POST -H 'Content-Type:application/json' \
+    http://$node:8181/onos/v1/network/configuration/${url} -d@$file